%define qtmajor 5
%define qtminor 0
%define qtsubminor 2
%define rel 1

%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define qttarballdir qtimageformats-opensource-src-%{qtversion}

Name: qtimageformats5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt-project.org
Source0: http://get.qt.nokia.com/qt/source/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel
BuildRequires: libmng-devel
BuildRequires: libtiff-devel

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

%files
%_qt5_plugindir/imageformats/*.so

#------------------------------------------------------------------------------


%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5

#------------------------------------------------------------------------------
%make

%install
%qmakeinstall_std



%changelog

* Wed Apr 17 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410373
- New version 5.0.2

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 394021
- New version 5.0.1 Final

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392325
- New version 5.0.1 rc1

* Fri Jan 25 2013 neoclust <neoclust> 5.0.0-1.mga3
+ Revision: 392278
- imported package qtimageformats5

